curl --request POST \
--url https://api.yorlet.com/v1/leads/qualification_routes/{id} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"active": true,
"conditions": {
"portal_types": [
"rightmove"
],
"sources": [],
"units": [
"<string>"
]
},
"description": "<string>",
"metadata": {},
"priority": 123,
"name": "<string>",
"qualification_configuration": "<string>"
}
'import requests
url = "https://api.yorlet.com/v1/leads/qualification_routes/{id}"
payload = {
"active": True,
"conditions": {
"portal_types": ["rightmove"],
"sources": [],
"units": ["<string>"]
},
"description": "<string>",
"metadata": {},
"priority": 123,
"name": "<string>",
"qualification_configuration": "<string>"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
active: true,
conditions: {portal_types: ['rightmove'], sources: [], units: ['<string>']},
description: '<string>',
metadata: {},
priority: 123,
name: '<string>',
qualification_configuration: '<string>'
})
};
fetch('https://api.yorlet.com/v1/leads/qualification_routes/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"created": 123,
"object": "leads.qualification_route",
"active": true,
"conditions": {
"portal_types": [
"rightmove"
],
"sources": [],
"units": [
"<string>"
]
},
"description": "<string>",
"name": "<string>",
"notification": {},
"priority": 123,
"qualification_configuration": {
"id": "<string>",
"created": 123,
"object": "leads.qualification_configuration",
"active": true,
"after_completion": {
"hosted_confirmation": {
"custom_message": "<string>"
},
"redirect": {
"url": "<string>"
}
},
"default": true,
"description": "<string>",
"hosted_qualification_url": "<string>",
"name": "<string>",
"questions": {
"move_in_date": {
"enabled": true,
"required": false
},
"budget": {
"enabled": true,
"required": false,
"min_budget": null,
"max_budget": null
},
"household": {
"enabled": true,
"required": false,
"ask_occupants": true,
"ask_children": false,
"max_occupants": null
},
"pets": {
"enabled": true,
"required": false,
"allowed": true,
"allowed_types": null,
"max_pets": null
},
"employment": {
"enabled": true,
"required": false,
"ask_employer": false,
"ask_income": false,
"accepted_statuses": [
"employed",
"self_employed",
"student",
"retired",
"benefits",
"other"
]
},
"smoking": {
"enabled": false,
"required": false,
"non_smokers_only": false
},
"current_situation": {
"enabled": false,
"required": false,
"ask_reason_for_moving": false,
"ask_current_landlord": false
},
"right_to_rent": {
"enabled": false,
"required": false
},
"guarantor": {
"enabled": false,
"required": false
}
},
"custom_questions": [
{
"id": "<string>",
"label": "<string>",
"options": [
"<string>"
],
"required": false
}
],
"account": "<string>",
"deleted": false,
"metadata": {}
},
"account": "<string>",
"deleted": false,
"metadata": {}
}Update a qualification route
Updates the specified qualification route.
Authorizations
API Key authentication. Use "Bearer YOUR_API_KEY".
Path Parameters
The id identifier.
Body
Whether the route is evaluated against new enquiries.
Match conditions for this route. Unset or empty lists match any value.
Show child attributes
Show child attributes
An arbitrary description attached to the object.
Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format.
Show child attributes
Show child attributes
Notification preferences applied when this route matches a new enquiry.
Show child attributes
Show child attributes
Evaluation order. Lower values are matched first. Defaults to 100.
1The ID of the qualification configuration to attach when this route matches.
Response
Returns the qualification route object if the update succeeded.
Unique identifier for the object.
Time at which the object was created. Measured in seconds since the Unix epoch.
leads.qualification_route Whether the route is evaluated against new enquiries.
Match conditions for this route. Unset or empty lists match any value.
Show child attributes
Show child attributes
An arbitrary description attached to the object.
The name of the qualification route.
Notification preferences applied when this route matches a new enquiry.
Show child attributes
Show child attributes
Evaluation order. Lower values are matched first.
The qualification configuration attached when this route matches.
Show child attributes
Show child attributes
The account that the object belongs to. Only returned if the request is made with a valid Yorlet-Context header.
Only returned if the object has been deleted.
Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format.
Show child attributes
Show child attributes
Was this page helpful?